import * as commands from '@codemirror/commands';
import * as autocomplete from '@codemirror/autocomplete';
import * as language from '@codemirror/language';
import * as cm from 'codemirror';
import * as langVerilog from '../dist/index.js';
import * as state from '@codemirror/state';
import * as view from '@codemirror/view';

export default {
    codemirror: {
        ...cm,
        state, 
        view, 
        commands,
        autocomplete,
        language
    },
    'lang-verilog': langVerilog
};